<?php
/**
 * @file
 * Variable integration for the Add to Copy module.
 */

/**
 * Implements hook_variable_group_info().
 */
function addtocopy_variable_group_info() {
  $groups['addtocopy'] = array(
    'title' => t('Add to Copy'),
    'description' => t('Add to Copy module variables.'),
    'access' => 'administer site configuration',
    'path' => array('admin/config/user-interface/addtocopy'),
  );

  return $groups;
}

/**
 * Implements hook_variable_info().
 */
function addtocopy_variable_info($options) {
  $variables['addtocopy_htmlcopytxt'] = array(
    'title' => t('HTML to add to selected text', array(), $options),
    'type' => 'string',
    'group' => 'addtocopy',
    'description' => t('[link] will be replaced with the current page link.', array(), $options),
    'default' => '<br>More: <a href="[link]">[link]</a><br>',
    'localize' => TRUE,
  );

  return $variables;
}
